<?php
namespace App\Traits;
use Illuminate\Http\Request;

trait ImageUploadTrait{

    public function uploadImage($name,$path,$request,$old='',$resize=false)
    {
        if($request->hasFile($name))
        {
            $time = rand();
            $image_changed_name = $time.'.'.$request->$name->getClientOriginalExtension();
            $uploadFile = $request->file($name)->move(public_path($path), $image_changed_name);
            if($resize){
                return $this->resizeImage($uploadFile,public_path($path."/"."thumbnails"),"uploads/styles/leftFrames/thumbnails","170_".$time,170,680,true)['path'];
            }

            $path = '/public'.'/'.$path; 
            $img_url = url($path)."/".$image_changed_name;
        }
        else{ $img_url = $old; }
        return $img_url;
    }

    public function uploadFiles($file,$path){
        // $file = $request->file("images")[$i];
        $image_changed_name = time().'.'.$file->getClientOriginalExtension();
        $file->move(public_path($path), $image_changed_name); 
        $path = '/public'.'/'.$path;
        return  url($path)."/".$image_changed_name;
    }

    // get type of image with dynamic functions using image path
    private function getImageTypeWithDynamicFunction($url)
    {
        $substr = substr(strchr(GetImageSize($url)['mime'], '/'), 1);
        if(in_array($substr,["jpeg","jpg","JPEG","JPG"])){
            return ['ImageCreateFromJPEG','ImageJPEG','jpg'];
        }else if(in_array($substr,["png","PNG"])){
            return ['ImageCreateFromPNG','ImagePNG','png'];
        }
        
        switch (substr(strchr(GetImageSize($url)['mime'], '/'), 1)) {
            case 'jpeg':
                return ['ImageCreateFromJPEG','ImageJPEG','jpg'];
            case 'png':
                return ['ImageCreateFromPNG','ImagePNG','png'];
            default:
                return ['ImageCreateFromJPEG','ImageJPEG','jpg'];
        }
    }

    // image resize
    public function resizeImage($srcPath,$destinationPath,$returnPath,$newImageName,$newWidth,$newHeight,$aspectRatio=true)
    {
        $info = GetImageSize($srcPath);
        $width = $info[0];
        $height = $info[1];
        $mime = $info['mime'];
    
        /* Keep Aspect Ratio? */
    
        if ($aspectRatio) {
            $thumb = ($newWidth < $width && $newHeight < $height) ? true : false; // Thumbnail
            $bigger_image = ($newWidth > $width || $newHeight > $height) ? true : false; // Bigger Image
            if ($thumb) {
                if ($newWidth >= $newHeight) {
                    $x = ($width / $newWidth);
                    $newHeight = ($height / $x);
                } elseif ($newHeight >= $newWidth) {
                    $x = ($height / $newHeight);
                    $newWidth = ($width / $x);
                }
            } elseif ($bigger_image) {
                if ($newWidth >= $width) {
                    $x = ($newWidth / $width);
                    $newHeight = ($height * $x);
                } elseif ($newHeight >= $height) {
                    $x = ($newHeight / $height);
    
                    $newWidth = ($width * $x);
                }
            }
        }
    
        // getImageType
        $image_create_func = $this->getImageTypeWithDynamicFunction($srcPath)[0];
        $image_save_func = $this->getImageTypeWithDynamicFunction($srcPath)[1];
        $new_image_ext = strtolower($this->getImageTypeWithDynamicFunction($srcPath)[2]);
    
        // New Image
        $image_c = ImageCreateTrueColor($newWidth, $newHeight);
        // imagesavealpha($image_c, true);
        imageinterlace($image_c, true);
        $new_image = $image_create_func($srcPath);
        $bg = imagecolorallocatealpha($image_c, 255, 255, 255, 127);
        imagefill($image_c, 0, 0, $bg);
        ImageCopyResampled($image_c, $new_image, 0, 0, 0, 0, $newWidth, $newHeight, $width, $height);
    
        if ($destinationPath) {
            if ($newImageName) {
                $new_name = $newImageName . '.' . $new_image_ext;
            } 
    
            $save_path = $destinationPath .'/'. $new_name;
        }
    
        $process = $image_save_func($image_c, $save_path);
        return array('result' => $process,"path"=>url($returnPath."/".$new_name));
    }

}

?>