<?php

    use App\Models\Style;
    use App\Models\Orientation;
    use App\Models\Size;
    use App\Models\LanguageTranslator;

    if(!function_exists("languages")){
        function languages(){
            return array(
                // "af" => "Afrikaans",
                // "sq" => "Albanian",
                // "am" => "Amharic",
                // "ar" => "Arabic",
                // "an" => "Aragonese",
                // "hy" => "Armenian",
                // "ast" => "Asturian",
                // "az" => "Azerbaijani",
                // "eu" => "Basque",
                // "be" => "Belarusian",
                // "bn" => "Bengali",
                // "bs" => "Bosnian",
                // "br" => "Breton",
                // "bg" => "Bulgarian",
                // "ca" => "Catalan",
                // "ckb" => "Central Kurdish",
                // "zh" => "Chinese",
                // "zh-HK" => "Chinese (Hong Kong)",
                // "zh-CN" => "Chinese (Simplified)",
                // "zh-TW" => "Chinese (Traditional)",
                // "co" => "Corsican",
                // "hr" => "Croatian",
                "cs" => "Czech",
                // "da" => "Danish",
                // "nl" => "Dutch",
                "en" => "English",
                // "en-AU" => "English (Australia)",
                // "en-CA" => "English (Canada)",
                // "en-IN" => "English (India)",
                // "en-NZ" => "English (New Zealand)",
                // "en-ZA" => "English (South Africa)",
                // "en-GB" => "English (United Kingdom)",
                // "en-US" => "English (United States)",
                // "eo" => "Esperanto",
                // "et" => "Estonian",
                // "fo" => "Faroese",
                // "fil" => "Filipino",
                // "fi" => "Finnish",
                // "fr" => "French",
                // "fr-CA" => "French (Canada)",
                // "fr-FR" => "French (France)",
                // "fr-CH" => "French (Switzerland)",
                // "gl" => "Galician",
                // "ka" => "Georgian",
                // "de" => "German",
                // "de-AT" => "German (Austria)",
                // "de-DE" => "German (Germany)",
                // "de-LI" => "German (Liechtenstein)",
                // "de-CH" => "German (Switzerland)",
                // "el" => "Greek",
                // "gn" => "Guarani",
                // "gu" => "Gujarati",
                // "ha" => "Hausa",
                // "haw" => "Hawaiian",
                // "he" => "Hebrew",
                // "hi" => "Hindi",
                // "hu" => "Hungarian",
                // "is" => "Icelandic",
                // "id" => "Indonesian",
                // "ia" => "Interlingua",
                // "ga" => "Irish",
                // "it" => "Italian",
                // "it-IT" => "Italian (Italy)",
                // "it-CH" => "Italian (Switzerland)",
                // "ja" => "Japanese",
                // "kn" => "Kannada",
                // "kk" => "Kazakh",
                // "km" => "Khmer",
                // "ko" => "Korean",
                // "ku" => "Kurdish",
                // "ky" => "Kyrgyz",
                // "lo" => "Lao",
                // "la" => "Latin",
                // "lv" => "Latvian",
                // "ln" => "Lingala",
                // "lt" => "Lithuanian",
                // "mk" => "Macedonian",
                // "ms" => "Malay",
                // "ml" => "Malayalam",
                // "mt" => "Maltese",
                // "mr" => "Marathi",
                // "mn" => "Mongolian",
                // "ne" => "Nepali",
                // "no" => "Norwegian",
                // "nb" => "Norwegian Bokm책l",
                // "nn" => "Norwegian Nynorsk",
                // "oc" => "Occitan",
                // "or" => "Oriya",
                // "om" => "Oromo",
                // "ps" => "Pashto",
                // "fa" => "Persian",
                // "pl" => "Polish",
                // "pt" => "Portuguese",
                // "pt-BR" => "Portuguese (Brazil)",
                // "pt-PT" => "Portuguese (Portugal)",
                // "pa" => "Punjabi",
                // "qu" => "Quechua",
                // "ro" => "Romanian",
                // "mo" => "Romanian (Moldova)",
                // "rm" => "Romansh",
                // "ru" => "Russian",
                // "gd" => "Scottish Gaelic",
                // "sr" => "Serbian",
                // "sh" => "Serbo",
                // "sn" => "Shona",
                // "sd" => "Sindhi",
                // "si" => "Sinhala",
                // "sk" => "Slovak",
                // "sl" => "Slovenian",
                // "so" => "Somali",
                // "st" => "Southern Sotho",
                // "es" => "Spanish",
                // "es-AR" => "Spanish (Argentina)",
                // "es-419" => "Spanish (Latin America)",
                // "es-MX" => "Spanish (Mexico)",
                // "es-ES" => "Spanish (Spain)",
                // "es-US" => "Spanish (United States)",
                // "su" => "Sundanese",
                // "sw" => "Swahili",
                // "sv" => "Swedish",
                // "tg" => "Tajik",
                // "ta" => "Tamil",
                // "tt" => "Tatar",
                // "te" => "Telugu",
                // "th" => "Thai",
                // "ti" => "Tigrinya",
                // "to" => "Tongan",
                // "tr" => "Turkish",
                // "tk" => "Turkmen",
                // "tw" => "Twi",
                // "uk" => "Ukrainian",
                // "ur" => "Urdu",
                // "ug" => "Uyghur",
                // "uz" => "Uzbek",
                // "vi" => "Vietnamese",
                // "wa" => "Walloon",
                // "cy" => "Welsh",
                // "fy" => "Western Frisian",
                // "xh" => "Xhosa",
                // "yi" => "Yiddish",
                // "yo" => "Yoruba",
                // "zu" => "Zulu"
            );
        }
    }

    if(!function_exists("styles")){
        function styles(){
           return Style::all();
        }
    }

    if(!function_exists("orientations")){
        function orientations(){
           return Orientation::all();
        }
    }

    if(!function_exists("sizes")){
        function sizes(){
           return Size::all();
        }
    }

    if(!function_exists('table_headers')){
        function table_headers(){
            $tableHeaders = ['Language','style','orientation','size',"Drag and Drop or Click to browse.",'Checkout'];
            foreach(Style::all() as $style){
                $tableHeaders[] = $style->title;
            }

            foreach(Orientation::all() as $orientation){
                $tableHeaders[] = $orientation->orientation;
            }

            foreach(Size::all() as $size){
                $tableHeaders[] = $size->title;
            }

            return $tableHeaders;
        }
    }
    
    if(!function_exists('getSizes')){
        function getSizes(){
           return [
               "vertical"=>[
                    ["size"=>"15X21cm","width" => "431.4px", "height" =>"622px","mobile_width"=>"190px","mobile_height"=>"290px"],
                    ["size"=>"21X30cm","width" => "441.4px", "height" =>"632px","mobile_width"=>"200px","mobile_height"=>"300px"],
                    ["size"=>"30X42cm","width" => "451.4px", "height" =>"642px" ,"mobile_width"=>"210px","mobile_height"=>"310px"],
                    ["size"=>"42X60cm","width" => "461.4px", "height" =>"662px","mobile_width"=>"220px","mobile_height"=>"320px"],
                    ["size"=>"61X91cm","width" => "481.4px", "height" =>"682px","mobile_width"=>"230px","mobile_height"=>"330px"],
                    ["size"=>"91X130cm","width" => "491.4px", "height" =>"702px","mobile_width"=>"240px","mobile_height"=>"340px"]
                ],
                "horizontal"=>[
                    ["size"=>"21X15cm","width" => "622px", "height" =>"431.4px","mobile_width"=>"290px","mobile_height"=>"190px"],
                    ["size"=>"30X21cm","width" => "632px", "height" =>"441.4px","mobile_width"=>"300px","mobile_height"=>"200px" ],
                    ["size"=>"42X30cm","width" => "642px", "height" =>"451.4px","mobile_width"=>"310px","mobile_height"=>"210px"],
                    ["size"=>"60X42cm","width" => "662px", "height" =>"461.4px","mobile_width"=>"320px","mobile_height"=>"220px"],
                    ["size"=>"91X61cm","width" => "682px", "height" =>"481.4px","mobile_width"=>"330px","mobile_height"=>"230px"],
                    ["size"=>"130X91cm","width" => "702px", "height" =>"491.4px","mobile_width"=>"340px","mobile_height"=>"240px"]
                ]
           ];
        }
    }

    if(!function_exists("getOldIds")){
        function getOldIds($language){
            $stylesTranslation = LanguageTranslator::select('option',"value")->where('language',$language)->where("option","like","style_%")->get();
            $orientationsTranslation = LanguageTranslator::select('option',"value")->where('language',$language)->where("option","like","orientation_%")->get();
            $sizesTranslations = LanguageTranslator::select('option',"value")->where('language',$language)->where("option","like","size_%")->get();
            $changeStylesArray =[];
            $changeOrientaionsArray =[];
            $changeSizesArray =[];
            foreach($stylesTranslation as $key=>$translation){ $changeStylesArray[str_replace("style_",'',$translation['option'])] = $translation['value']; }
            foreach($orientationsTranslation as $key=>$translation){ $changeOrientaionsArray[str_replace("orientation_",'',$translation['option'])] = $translation['value']; }
            foreach($sizesTranslations as $key=>$translation){ $changeSizesArray[str_replace("size_",'',$translation['option'])] = $translation['value']; }
            $styleIdsArr = array_keys($changeStylesArray);
            $orientationIdsArr = array_keys($changeOrientaionsArray);
            $sizeIdsArr = array_keys($changeSizesArray);

            return ['styles'=>$styleIdsArr,'orientations'=>$orientationIdsArr,'sizes'=>$sizeIdsArr];
        }
    }
