// set attributes of banner detail popup for edit
function editFunction(id) {
    $('#title_edit').val($('#title' + id).data('content'));
    $('#image_edit').attr('src', $('#image' + id).data('content'));

    // select atachment type in select
    for (let index of $('#bannerType').children()) {
        if ($(index).val() == $('#type' + id).data('content')) {
            $(index).attr('selected', true)
        } else {
            $(index).attr('selected', false)
        }
    }
    $('#banner_id').val(id);
}
// close 

// function for creating and updating banner
function CreateUpdatebanners(e, url, formID) {
    event.preventDefault();
    var formData = new FormData(document.getElementById(formID));
    formData.append('_token', $('#csrfToken').val());
    // ajax call according to route in parameter  
    $.ajax({
        url: url,
        data: formData,
        processData: false,
        contentType: false,
        type: 'POST',
        // after ajax call success function 
        success: function (res) {
            if (res.success == true) {
                Swal.fire({
                    icon: 'success',
                    title: 'Changes saved sucessfully',
                    timer: 1500,
                })
                location.reload()
            } else if (res.success == false) {
                // red border required inputs and select 
                var err = "";
                $("input").removeClass('borderRed')
                $("select").removeClass('borderRed')
                $("textarea").removeClass('borderRed')
                $("select").next().children().children().removeClass('borderRed');

                //function for appending span and changing css color for input
                $.each(res.message, function (i, e) {
                    $("input[name='" + i + "']").addClass('borderRed')
                    $("select[name='" + i + "']").addClass('borderRed')
                    $("select[name='" + i + "']").next().children().children().addClass(
                        'borderRed');
                    Swal.fire({
                        title: 'Required Fields',
                        text: res.message[i],
                        icon: 'warning',
                        background:'transparent',
                        showConfirmButton: false,
                        timer: 1500,
                    }).then((value) => { });
                });
            }

        }

    });
}
// close 

// function for preview uploaded image starts 
function uploadBanner(e) {
    e.previousElementSibling.click();
}
// close 

// funciton for setting source according to uploaded attachment video/img/gif 
function readImageURl(e) {
    let file = event.target.files[0]
    // if atachment is of type image 
    if (file.type.includes('image/')) {
        var url = URL.createObjectURL(file);
        e.nextElementSibling.nextElementSibling.src = url;
        e.nextElementSibling.nextElementSibling.classList.remove('d-none');
        e.nextElementSibling.nextElementSibling.nextElementSibling.classList.add('d-none');
        // if atachment is of type video 
    } else if (file.type.includes('video/')) {
        var url = URL.createObjectURL(file);
        e.nextElementSibling.nextElementSibling.nextElementSibling.src = url;
        e.nextElementSibling.nextElementSibling.nextElementSibling.classList.remove('d-none');
        e.nextElementSibling.nextElementSibling.classList.add('d-none');
    }
    else {
        alert('please upload image,video or Gif file')
    }
}
// close 

// change status of banner enable/disable 
function changeBannerStatus(e, id, url) {
    // confirm before proceeding 
    Swal.fire({
        icon: 'warning',
        title: 'Do you want to change status?',
        showDenyButton: true,
        confirmButtonText: 'Confirm',
        denyButtonText: `Cancel`,
        denyButtonColor: '#3152E7',
        confirmButtonColor: '#C02A2A',
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.isConfirmed) {
            console.log('result confrim')
            $.ajax({
                url: url,
                type: 'POST',
                data: {
                    id: id,
                    status: $(e).is(':checked') ? '1' : '0',
                    _token: $('#csrfToken').val()
                },

                // Ajax success function
                success: function (res) {
                    console.log(res.status)
                    if (res.success == true) {
                        Swal.fire('Status changed!', '', 'success')
                    }
                }
            })
        } else
            (e.checked) ? e.checked = false : e.checked = true;
    })
}
// close 

// function for calling ajax on delete image button clicked starts 
function deleteBanner(e, id, url) {
    // confirm before proceeding 
    Swal.fire({
        icon: 'warning',
        title: 'Are you sure?',
        text: 'You can not revert this change later',
        showDenyButton: true,
        background:'transparent',
        confirmButtonColor: '#C02A2A',
        denyButtonColor: '#3152E7',
        confirmButtonText: 'Yes Delete!',
        denyButtonText: `Dont delete!`,
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.isConfirmed) {
            $.ajax({
                url: url,
                type: 'POST',
                data: {
                    id: id,
                    _token: $('#csrfToken').val()
                },
                // Ajax success function
                success: function (res) {
                    if (res.success == true) {
                        Swal.fire(res.message, '', 'success')
                        location.reload()
                    }
                }
            })
        } else
            return false;
    })
}
//close