@extends('layout.app')
@section('content_section')
<style>
    
.tooltip {
  display: inline;
  position: relative;
}
.tooltip:hover:after{
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  background: #444;
  border-radius: 8px;
  color: #fff;
  content: attr(title);
  margin: -82px auto 0;
  font-size: 16px;
  padding: 13px;
  width: 220px;
}
.tooltip:hover:before{
  border: solid;
  border-color: #444 transparent;
  border-width: 12px 6px 0 6px;
  content: "";
  left: 45%;
  bottom: 30px;
  position: absolute;
}
</style>
<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <!-- Default box -->
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Style</h3>

                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>
                </div>
                <div class="card-body">
                    <table id="example" class="table table-striped table-bordered" style="width:100%">
                        <thead>
                            <tr>
                                <th>Enabled</th>
                                <th>#</th>
                                <th>Title</th>
                                <th>Orientation</th>
                                <th>Size</th>
                                <th>Price</th>
                                <th>Image</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if($style->details->count() >0)
                                @foreach($style->details as $key=>$detail)
                                    <tr>
                                        <td> <input onchange="statusEnableDisable(this)" value="{{$detail->status}}" title="@if($detail->status=='1') Disable @else Enable @endif Style Detail" type="checkbox" @if($detail->status=="1") checked @endif> </td>
                                        <td>{{++$key}}</td>
                                        <td>{{$style->title}}</td>
                                        <td>{{$detail->orientation}}</td>
                                        <td>{{$detail->size}}</td>
                                        <td>{{$detail->price}}</td>
                                        <td><img src="{{ $detail->image }}" width="100" height="100"/></td>
                                        <td class="text-center">
                                            <a title="Update Style Detail" href="{{route('styles.edit',$style->id)}}"><i class="fas fa-edit text-primary"></i></a>
                                            &nbsp;&nbsp;
                                            <!-- <a href=""><i class="fas fa-trash text-danger"></i></a> -->
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
                <!-- /.card-body -->

                <!-- /.card-footer-->
            </div>
            <!-- /.card-body -->

            <!-- /.card-footer-->
        </div>
        <!-- /.card -->
    </div>
</div>
<!-- /.content -->
@endsection
<script>
    function statusEnableDisable(elem){
        let value = $(elem).is(":checked")? "1":"0";
        console.log(value);           
        // if($(elem).is(":checked")){
        //     $(elem).val("1");
        // }else{
        //     console.log("not checked");
        // }
    }
</script>