@extends('layout.app')
@section('content_section')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Style</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                <i class="fas fa-minus"></i>
                            </button>
                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                <i class="fas fa-times"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Title</th>
                                    <th>icon</th>
                                    <th>Image</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if($styles->count() > 0)
                                    @foreach($styles as $key=>$style)
                                        <tr>
                                            <td>{{++$key}}</td>
                                            <td>{{$style->title}}</td>
                                            <td> <img src="{{$style->icon}}" width="100" height="100"/> </td>
                                            <td> <img src="{{$style->image}}"  width="100" height="100"/> </td>
                                            <td>
                                                <a title="View Style Detail"  href="{{route('styles.show',$style->id)}}"><i class="fa fa-eye text-primary"></i></a>
                                                &nbsp;&nbsp;
                                                <a title="Update Style Detail" href="{{route('styles.edit',$style->id)}}"><i class="fas fa-edit text-primary"></i></a>
                                                &nbsp;&nbsp;
                                                <a title="Delete Style" type="button" onclick="commonFunction(true,'{{ route('styles.destroy',$style->id) }}','{{route('styles.index')}}','delete','Are you sure to delete style?','')"><i class="fas fa-trash text-danger"></i></a></td>
                                        </tr>
                                    @endforeach
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card-body -->

                <!-- /.card-footer-->
            </div>
            <!-- /.card -->
        </div>
    </div>
@endsection
<script>

</script>