@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Translator</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="form-group col-6">
                                        <label for="">Language</label>
                                        <select class="form-control" name="language">
                                            <option disabled selected >Select Language</option>
                                            @foreach(languages() as $key=>$language)
                                                <option value="{{$language}}">{{$language}}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                    <div class="form-group pt-1 col-6">
                                        <label for="">Style</label>
                                        <input placeholder="Enter Style" type="text" name="style" class="form-control">
                                    </div>

                                </div>

                                <div class="row">
                                    
                                    <div class="form-group pt-1 col-6">
                                        <label for="">Orientation</label>
                                        <input placeholder="Enter Orientation" type="text" name="orientation" class="form-control">
                                    </div>

                                    <div class="form-group pt-1 col-6">
                                        <label for="">Size</label>
                                        <input placeholder="Enter Style" type="text" name="size" class="form-control">
                                    </div>
    
                                </div>

                                <div class="row">
                                    
                                    <div class="form-group pt-1 col-6">
                                        <label for="">Drag and Drop or Click to browse.</label>
                                        <input placeholder="Enter Drag and Drop or Click to browse." type="text" name="drop_text" class="form-control">
                                    </div>

                                    <div class="form-group pt-1 col-6">
                                        <label for="">Checkout</label>
                                        <input placeholder="Enter Checkout" type="text" name="checkout" class="form-control">
                                    </div>
    
                                </div>

                                @if(styles()->count()>0)
                                    @foreach(styles()->chunk(2) as $groups)
                                        <div class="row">
                                    
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->title}}</label>
                                                    <input placeholder="Enter Style" type="text" name="style_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>
                                    @endforeach
                                @endif

                                @if(orientations()->count()>0)
                                    @foreach(orientations()->chunk(2) as $groups)
                                        <div class="row">
                                    
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->orientation}}</label>
                                                    <input placeholder="Enter Orientation" type="text" name="orientation_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>
                                    @endforeach
                                @endif

                                @if(sizes()->count()>0)
                                    @foreach(sizes()->chunk(2) as $groups)
                                        <div class="row">
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->title}}</label>
                                                    <input placeholder="Enter Size" type="text" name="size_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>     
                                    @endforeach
                                @endif


                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('translators.store') }}','{{route('translators.index')}}','post','','add-form');">Save</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   
    @endsection

    <script>
        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>