@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Translator</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                @method('put')
                                <div class="row">
                                    <div class="form-group col-12">
                                        <label for="">Language</label>
                                        <select class="form-control" name="language">
                                            <option disabled selected >Select Language</option>
                                            @foreach(languages() as $key=>$lan)
                                                <option @if($language == $lan) selected @endif  value="{{$lan}}">{{$lan}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                @if($translators->count() > 0)
                                    @foreach($translators->chunk(2) as $group)
                                        <div class="row">
                                            @foreach($group as $item)
                                                <div class="form-group pt-1 col-6">
                                                    <input placeholder="Enter Text" type="text" name="{{$item->option}}" value="{{$item->value}}" class="form-control">
                                                </div>
                                            @endforeach

                                        </div>
                                    @endforeach
                                @endif

                                @if($styles->count()>0)
                                    @foreach($styles->chunk(2) as $groups)
                                        <div class="row">
                                    
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->title}}</label>
                                                    <input placeholder="Enter Style" type="text" name="style_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>
                                    @endforeach
                                @endif

                                @if($orientations->count()>0)
                                    @foreach($orientations->chunk(2) as $groups)
                                        <div class="row">
                                    
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->orientation}}</label>
                                                    <input placeholder="Enter Orientation" type="text" name="orientation_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>
                                    @endforeach
                                @endif

                                @if($sizes->count()>0)
                                    @foreach($sizes->chunk(2) as $groups)
                                        <div class="row">
                                            @foreach($groups as $group)
                                                <div class="form-group pt-1 col-6">
                                                    <label for="">{{$group->title}}</label>
                                                    <input placeholder="Enter Size" type="text" name="size_{{$group->id}}" class="form-control">
                                                </div>
                                            @endforeach
                                        </div>     
                                    @endforeach
                                @endif

                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('translators.update',$language) }}','{{route('translators.index')}}','post','','add-form');">Update</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   
    @endsection

    <script>
        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>