@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Orientation Update</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                <!-- <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                    <i class="fas fa-times"></i>
                                </button> -->
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                @method('put')
                                <div class="form-group col-12">
                                    <label for="">Title</label>
                                    <select class="form-control" name="orientation">
                                        <option disabled selected >Select orientation</option>
                                        <option @if($orientation->orientation=="vertical") selected @endif value="vertical">Vertical</option>
                                        <option @if($orientation->orientation=="horizontal") selected @endif value="horizontal">Horizontal</option>
                                    </select>
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">icon</label>
                                    <input placeholder="Enter Icon" type="file" name="icon" class="form-control">
                                    <img src="{{$orientation->icon}}" width="20" height="20" />
                                </div>

                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('orientations.update',$orientation->id) }}','{{route('orientations.index')}}','post','','add-form');">Update</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   

        <div id="horizontal" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="horizontal_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="horizontal_sizes[]" class="form-control">
                        <option value="" disabled selected>Horizontal Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="horizontal_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="horizontal_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

        <div id="vertical" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="vertical_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="vertical_sizes[]" class="form-control">
                        <option disabled selected>Vertical Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="vertical_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="vertical_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

    @endsection

    <script>

        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>