@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Size</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                <!-- <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                    <i class="fas fa-times"></i>
                                </button> -->
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">

                                <div class="form-group col-12">
                                    <label for="">Orientation</label>
                                    <select name="orientation_id" class="form-control">
                                        <option value="" disabled selected>Orientations</option>
                                        @if($orientations->count() > 0)
                                            @foreach($orientations as $orientation)
                                                <option value="{{$orientation->id}}">{{$orientation->orientation}}</option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>

                                <div class="form-group col-12">
                                    <label for="">Title</label>
                                    <input type="hidden" id="size_width" name="width"/>
                                    <input type="hidden" id="size_height" name="height"/>
                                    <select name="title" class="form-control" onchange="getWidthAndHeight(this)">
                                        <option disabled selected>Select Size</option>
                                        @foreach(getSizes() as $key=>$value)
                                            <optgroup label="{{ucfirst($key)}}">
                                                @foreach($value as $item)
                                                    <option data-width='{{$item["width"]}}' data-height='{{$item["height"]}}' value='{{$item["size"]}}'>{{$item["size"]}}</option>
                                                @endforeach
                                            </optgroup>
                                        @endforeach
                                    </select>

                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">icon</label>
                                    <input placeholder="Enter Icon" type="file" name="icon" class="form-control">
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">Image</label>
                                    <input placeholder="Enter Image" type="file" name="image" class="form-control">
                                </div>

                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('sizes.store') }}','{{route('sizes.index')}}','post','','add-form');">Create</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   

    @endsection

    <script>
        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>