@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Style</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                <!-- <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                    <i class="fas fa-times"></i>
                                </button> -->
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                <div class="form-group col-12">
                                    <label for="">Title</label>
                                    <input placeholder="Enter Title" type="text" name="title" class="form-control">
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">icon</label>
                                    <input placeholder="Enter Icon" type="file" name="icon" class="form-control">
                                </div>

                                <div class="row mx-0">
                                    <div class="col-lg-6">
                                        <div class="form-group pt-1">
                                            <label for="">Image</label>
                                            <input placeholder="Enter Image" type="file" name="image" class="form-control">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group pt-1">
                                            <label for="">Select Photo For Left Frame</label>
                                            <input placeholder="Enter Image" type="file" name="left_frame" class="form-control">
                                        </div>
                                    </div>
                                </div>

                                <div class="pt-1">
                                    <div class="row mx-0 mb-3">
                                        <div class="col-lg-10 detailDiv">

                                            <div class="row mx-0 mb-3">
                                                <div class="col-lg-4 d-none1 NoneDiv"> <label>Orientation</label> </div>
                                                <div class="col-lg-4 d-none1 NoneDiv"> <label>Size</label> </div>
                                                <div class="col-lg-4 d-none1 NoneDiv"> <label>Price</label> </div>
                                            </div>

                                            <div class="row mx-0 mb-3">
                                                <div class="col-lg-4 d-none1 NoneDiv">
                                                    <select name="orientations[]" class="form-control" onchange="changeOrientationAndSizes(this)">
                                                        <option value="" disabled selected>Orientations</option>
                                                        @if($orientations->count() > 0)
                                                            @foreach($orientations as $orientation)
                                                                <option data-title="{{$orientation->orientation}}" value="{{$orientation->id}}">{{$orientation->orientation}}</option>
                                                            @endforeach
                                                        @endif
                                                    </select>
                                                </div>

                                                <div class="col-lg-4 d-none1 NoneDiv">
                                                    <select name="sizes[]" class="form-control">
                                                        <option value="" disabled selected>Select Sizes</option>
                                                    </select>
                                                </div>

                                                <div class="col-lg-4 d-none1 NoneDiv">
                                                    <input type="number" class="form-control" name="prices[]" placeholder="Enter price">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 d-none1 NoneDiv">
                                            <button type="button" class="btn w-100 btn-danger f-14 text-white"
                                                onclick="moreSizes('#detailHtml','.detailDiv')">Add
                                                More Sizes +</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('styles.store') }}','{{route('styles.index')}}','post','','add-form');">Save</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   

        <div id="detailHtml" class="d-none">
            <div class="row mx-0 mb-3">
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="orientations[]" class="form-control" onchange="changeOrientationAndSizes(this)">
                        <option value="" disabled selected>Orientations</option>
                        @if($orientations->count() > 0)
                            @foreach($orientations as $orientation)
                                <option data-title="{{$orientation->orientation}}" value="{{$orientation->id}}">{{$orientation->orientation}}</option>
                            @endforeach
                        @endif
                    </select>
                </div>

                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="sizes[]" class="form-control">
                        <option value="" disabled selected>Select Sizes</option>
                    </select>
                </div>

                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="prices[]" placeholder="Enter price">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

    @endsection

    <script>
        const changeOrientation = (e) => {
            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        let orientationSizes = {!! $orientationSizes !!};

        const moreSizes = (orientation, targetElement) => { $(targetElement).append($(orientation).html()); }
        const closeFun = (e) => { $(e).parent("div").remove(); }

    </script>