<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StylesController;
use App\Http\Controllers\OrientationController;
use App\Http\Controllers\SizeController;
use App\Http\Controllers\LanguageTranslatorController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('create', function () {
//     return view('/create');
// });

Route::middleware(['auth','admincheck'])->prefix('admin')->group(function(){
    Route::resource("styles",StylesController::class);
    Route::resource("orientations",OrientationController::class);
    Route::resource("sizes",SizeController::class);
    Route::resource("translators",LanguageTranslatorController::class);
}); 


Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
